import define from "../../../define.js";
import { Plans } from "../../../../../models/index.js";
export const meta = {
    tags: [
        "admin"
    ],
    requireCredential: true,
    requireAdmin: true
};
export const paramDef = {
    type: "object",
    properties: {},
    required: []
};
export default define(meta, paramDef, async ()=>{
    const plans = await Plans.find({
        order: {
            createdAt: "ASC"
        }
    });
    return await Plans.packMany(plans);
});
